2010m available

Bug #649348 reported by Gary Lasker on 2010-09-27
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Gary Lasker
Dapper
Undecided
Unassigned
Hardy
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Gary Lasker

Bug Description

Binary package hint: tzdata

There is a new tzdata version 2010m:

    - Asia: No DST in Hong Kong in 1977
    - zone.tab: Remove obsolete association of Vostok Station with
                      South Magnetic Pole; add association with Lake Vostok
                      (thanks to Petr Machata for finding the problem).

Gary Lasker (gary-lasker) wrote :
Changed in tzdata (Ubuntu):
assignee: nobody → Gary Lasker (gary-lasker)
Gary Lasker (gary-lasker) wrote :

Test case for Hong Kong time zone change:

First, with 2010l:

$ zdump -v Asia/Hong_Kong | grep 1977
Asia/Hong_Kong Sat Apr 16 19:29:59 1977 UTC = Sun Apr 17 03:29:59 1977 HKT isdst=0 gmtoff=28800
Asia/Hong_Kong Sat Apr 16 19:30:00 1977 UTC = Sun Apr 17 04:30:00 1977 HKST isdst=1 gmtoff=32400
Asia/Hong_Kong Sat Oct 15 18:29:59 1977 UTC = Sun Oct 16 03:29:59 1977 HKST isdst=1 gmtoff=32400
Asia/Hong_Kong Sat Oct 15 18:30:00 1977 UTC = Sun Oct 16 02:30:00 1977 HKT isdst=0 gmtoff=28800

And, after upgrade to 2010m:

$ zdump -v Asia/Hong_Kong | grep 1977

Verify there is no output as DST was removed for 1977.

tags: added: patch
Gary Lasker (gary-lasker) wrote :

I've prepared the updates for Dapper, Hardy, Jaunty, Karmic, Lucid and Maverick, and have uploaded them to the following locations:

  http://people.canonical.com/~tremolux/tzdata_2010m_dapper/
  http://people.canonical.com/~tremolux/tzdata_2010m_hardy/
  http://people.canonical.com/~tremolux/tzdata_2010m_jaunty/
  http://people.canonical.com/~tremolux/tzdata_2010m_karmic/
  http://people.canonical.com/~tremolux/tzdata_2010m_lucid/
  http://people.canonical.com/~tremolux/tzdata_2010m_maverick/

I'm not sure about the timing for the Maverick one. I've prepared it as an SRU in the directory above, but if there is still time to do a sync we can do that instead:

  http://packages.qa.debian.org/t/tzdata.html

Thanks very much!

Changed in tzdata (Ubuntu):
status: New → In Progress
Martin Pitt (pitti) wrote :

Since these updates are really low-priority, it's not worth delaying maverick for those, so we'll handle those as an SRU.

Martin Pitt (pitti) wrote :

Gary, I'll fix the bug references in the changelog, and sponsor. It needs to be "LP: #xxxxxx", not "LP: xxxxxx", otherwise dpkg-source and launchpad won't recognize it. Thanks!

Accepted langpack-locales into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Changed in tzdata (Ubuntu Hardy):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Lucid):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Dapper):
status: New → Fix Committed
Gary Lasker (gary-lasker) wrote :

> Gary, I'll fix the bug references in the changelog, and sponsor. It needs to
> be "LP: #xxxxxx", not "LP: xxxxxx", otherwise dpkg-source and launchpad
> won't recognize it. Thanks!

Aghhh, yes, it's a typo that I then cut-and-pasted into all the other changelogs. I can't believe I didn't notice it. My apologies for the extra trouble, Martin!

Please of course don't hesitate to just bounce a mistake like that back to me to fix, I'm happy to do it and hopefully save you some trouble. I do appreciate your taking care of it.

Note that I fixed the issue in my upload for the maverick SRU, and while making that fix also took the opportunity to update the maintainer fields in debian/control. Updated files here:

  http://people.canonical.com/~tremolux/tzdata_2010m_maverick/

Gary Lasker (gary-lasker) wrote :

I have verified the updates in -proposed for all of the following:

  dapper
  hardy
  jaunty
  karmic
  lucid

Thanks as always, Martin!

Thanks gary for testing, marking as verification-done

tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) wrote :

Accepted tzdata into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Maverick):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010m~repack-0ubuntu0.8.04

---------------
tzdata (2010m~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream release 2010m: (LP: #649348)
    - Asia: No DST in Hong Kong in 1977
    - zone.tab: Remove obsolete association of Vostok Station with
      South Magnetic Pole; add association with Lake Vostok
      (thanks to Petr Machata for finding the problem)
  * da.po: Add Danish translation from Joe Hansen
    (thanks Aurelien Jarno)
 -- Gary Lasker <email address hidden> Wed, 06 Oct 2010 16:46:24 -0400

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010m~repack-0ubuntu0.9.04

---------------
tzdata (2010m~repack-0ubuntu0.9.04) jaunty-proposed; urgency=low

  * New upstream release 2010m: (LP: #649348)
    - Asia: No DST in Hong Kong in 1977
    - zone.tab: Remove obsolete association of Vostok Station with
      South Magnetic Pole; add association with Lake Vostok
      (thanks to Petr Machata for finding the problem)
 -- Gary Lasker <email address hidden> Wed, 06 Oct 2010 16:26:52 -0400

Changed in tzdata (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010m-0ubuntu0.9.10

---------------
tzdata (2010m-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release 2010m: (LP: #649348)
    - Asia: No DST in Hong Kong in 1977
    - zone.tab: Remove obsolete association of Vostok Station with
      South Magnetic Pole; add association with Lake Vostok
      (thanks to Petr Machata for finding the problem)
  * da.po: Add Danish translation from Joe Hansen
    (thanks Aurelien Jarno)
 -- Gary Lasker <email address hidden> Wed, 06 Oct 2010 15:40:04 -0400

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010m-0ubuntu0.10.04

---------------
tzdata (2010m-0ubuntu0.10.04) lucid-proposed; urgency=low

  * New upstream release 2010m: (LP: #649348)
    - Asia: No DST in Hong Kong in 1977
    - zone.tab: Remove obsolete association of Vostok Station with
      South Magnetic Pole; add association with Lake Vostok
      (thanks to Petr Machata for finding the problem)
  * da.po: Add Danish translation from Joe Hansen
    (thanks Aurelien Jarno)
 -- Gary Lasker <email address hidden> Tue, 05 Oct 2010 18:58:14 -0400

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

copied dapper-proposed to -updates.

Changed in tzdata (Ubuntu Dapper):
status: Fix Committed → Fix Released
Gary Lasker (gary-lasker) wrote :

I've verified the update in maverick-proposed now.

Thanks again, Martin!

Martin Pitt (pitti) on 2010-10-12
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010m-0ubuntu0.10.10

---------------
tzdata (2010m-0ubuntu0.10.10) maverick-proposed; urgency=low

  * New upstream release 2010m: (LP: #649348)
    - Asia: No DST in Hong Kong in 1977
    - zone.tab: Remove obsolete association of Vostok Station with
      South Magnetic Pole; add association with Lake Vostok
      (thanks to Petr Machata for finding the problem)
  * da.po: Add Danish translation from Joe Hansen
    (thanks Aurelien Jarno)
 -- Gary Lasker <email address hidden> Wed, 06 Oct 2010 17:31:25 -0400

Changed in tzdata (Ubuntu Maverick):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

For natty we can just wait for the autosyncs.

Changed in tzdata (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers